//======================================================
// PROJECT:	Digital clock
// FILE:	Clock.java
// PURPOSE:	Digital clock sets current time at run time
// VERSION:	1.1
// TARGET:	Java v1.1 or above
// DATE:	1.1  9/23/00
// PROGRAMMER:	Philip N. Geissler
//======================================================

import java.applet.*;
import java.awt.*;
import java.util.*;

public class Clock extends Applet
{
	public void paint(Graphics g)
	{	
		//Draw a black-filled rectangle
		g.setColor(Color.black);
		g.fillRect(50,50,150,61);
		
		//Change font and color
		g.setFont(new Font("SansSerif", Font.BOLD, 30));
		g.setColor(Color.red);
		
		//Get current time 
		Calendar myCalendar = Calendar.getInstance();
		int myHour = myCalendar.get(Calendar.HOUR);
		int myMinute = myCalendar.get(Calendar.MINUTE);
		int mySecond = myCalendar.get(Calendar.SECOND);
	
		//Set up "00:00:00" format
			String mincolon = ":";
			String seccolon = ":";
			String zerodigit = "0";
			
			//Hour format
			if (myHour == 0)
			{
				myHour = 12;
				zerodigit = "";
			}
			
			if (myCalendar.get(Calendar.HOUR) < 10)
			{
				zerodigit = zerodigit;
			}
	
			//Minute format
			if (myCalendar.get(Calendar.MINUTE) < 10)
			{
				mincolon = mincolon + "0";
			}
			
			//Second format
			if (myCalendar.get(Calendar.SECOND) < 10)
			{
				seccolon = seccolon + "0";
			}
			
		//Write current time into rectangle
		g.drawString("" + zerodigit +
												myHour + mincolon + 
												myMinute + seccolon + 
												mySecond, 65, 90); 
			
			}
}
	